//***********************************************

// FrmkScripts.js

//*************************************************



function frmkFillList( listName, strData ) 

{

  // Llenar la lista con las opciones recividas

  if (listName!=null && listName.length>0) {

	var lst = getListObj(listName); 



	if (lst!=null && lst!=undefined) {

		//Vaciar la lista

		frmkEmptyList( lst );  

		   

		// Las opciones tienen la forma: "value~label|value~label|..."

		lst.options[0] = new Option("","");

		

		if (strData.length>0) {

		    	var aValues = strData.split('|');

				

			for( var i = 0; i < aValues.length; i++ ) 

			{

			    if (aValues[i].indexOf('~') != -1) {

			      var aLabels = aValues[i].split('~');

			      lst.options[i + 1] = new Option(aLabels[1], aLabels[0]);

			    }  						

		  	}      

		}



	  	

	  	// Inicializarlo a vacío

		frmkSelectOption( lst, "" );

	}

  }

}



//Vaciar un desplegable de un formulario

function frmkEmptyList( lst )

{  

  lst.options.length = 0;

  lst.onchange = null;

}



//Poner como seleccionado el elemento basado en el valor

function frmkSelectOption( lst, optionVal )

{  

  if (lst!=null && lst!=undefined) {	

      for( var i = 0; i< lst.options.length; i++ ) {

	   if( lst.options[i].value == optionVal )	{

		lst.selectedIndex = i;

		return;

	   }  

      }

  }

}



//Localiza el objeto lista usando su nombre

function getListObj(listName)

{  

  var obj = null;

  if (document.all) {

	obj = eval("document.all('" + listName + "')");

  } else if (document.getElementById) {

	obj = eval("document.getElementsByName('" + listName + "')[0]");

  }

  return obj;

}